/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/

if ($defined(window.jQuery) && $type(jQuery.noConflict)=='function') {
    jQuery.noConflict();
}

jQuery(document).ready( function(){  
	 jQuery('#skitter_BASIC-options').parent().addClass("vt_basic");
     jQuery('#skitter_JOOMLA-options').parent().addClass("vt_joomla");
	 jQuery('#skitter_K2-options').parent().addClass("vt_k2");
	 jQuery('#skitter_MODULE-options').parent().addClass("vt_mods");
	 jQuery('#jform_params_thumbwidth,#jform_params_thumbheight').parent().addClass("activecolor");
 
	 jQuery('#jform_params_navigation').each(function() {
		currentValue = jQuery(this).val();
		jQuery(this).find("option").each(function(index,Element) {		
		    if(jQuery(Element).val() == currentValue){		    	
		    	jQuery('.activecolor').slideDown();
		    }else{		    	
		    	jQuery('.activecolor').hide();
		    }
		});
	});	
	 jQuery('#jform_params_navigation').change(function() {
		currentValue = jQuery(this).val();
		jQuery(this).find("option").each(function(index,Element) {		
		    if(jQuery(Element).val() == currentValue){		    	
		    	jQuery('.activecolor').slideDown();
		    }else{		    	
		    	jQuery('.activecolor').hide();
		    }
		});
	});	

    //On Click
    jQuery('.panel .title').click(function(){
        if( jQuery(this).next().is(':hidden') ) { //If immediate next container is closed...
            jQuery('.panel').removeClass('active'); //Remove all "active" state and slide up the immediate next container
        }
        else{
            jQuery('.panel').removeClass('active');
        }
        return false; //Prevent the browser jump to the link anchor
    });
	    
    //Joomla, k2 and modules  skitter hide and show effect depend on content source.
    function showJoomla(){
        jQuery('.vt_joomla').addClass('active').slideDown();
        jQuery('.vt_k2').removeClass('active').hide();
        jQuery('.vt_mods').removeClass('active').hide();
    }
    function showK2(){
        jQuery('.vt_joomla').removeClass('active').hide();
        jQuery('.vt_mods').removeClass('active').hide();
        jQuery('.vt_k2').addClass('active').slideDown();
    }
    function showMods(){
        jQuery('.vt_joomla').removeClass('active').hide();
        jQuery('.vt_k2').removeClass('active').hide();
        jQuery('.vt_mods').addClass('active').slideDown();
    }
    
    //determine which settings is enable in content source and show related container
    switch(jQuery('#jform_params_content_source').val()){
        case 'joomla':
            showJoomla();
            break;
        case 'k2':
            showK2();
            break;
        case 'mods':
            showMods();
            break;
    }
    
    //change skitter realtime 
    jQuery('#jform_params_content_source').change(function(){
        switch(jQuery('#jform_params_content_source').val()){
        case 'joomla':
            showJoomla();
            break;
        case 'k2':
            showK2();
            break;
        case 'mods':
            showMods();
            break;
    }
    });
});