<?php
/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/
$navoption = '';
switch ($navigation) {
    case "dots":
        $navoption = 'dots: true, numbers: false, preview: false, thumbs: false';
        break;
    case "dotspreview":
        $navoption = 'dots: true, numbers: false, preview: true, thumbs: false';
        break;
    case "numbers":
        $navoption = 'dots: false, numbers: true, preview: false, thumbs: false';
        break;
	case "thumbs":
        $navoption = 'dots: false, numbers: false, preview: false, thumbs: true';
        break;
	case "none":
        $navoption = 'dots: false, numbers: false, preview: false, thumbs: false';
        break;
}
?>
<script type="text/javascript" src="<?php echo JURI::root(true)?>/modules/mod_vtem_skitter/styles/jquery-ui-1.9.2.custom.min.js"></script>
<script type="text/javascript" src="<?php echo JURI::root(true)?>/modules/mod_vtem_skitter/styles/jquery.skitter.js"></script>
<script type="text/javascript">
var vtemskitter = jQuery.noConflict();
(function($){
	$(document).ready(function(){ 
		$('#vtemskitter<?php echo $module_id;?>').skitter({
		  width: '<?php echo $width;?>',
		  height: '<?php echo $height;?>',
		  auto_play: <?php echo $autostart;?>,
		  interval: <?php echo $autostart ? $transition_speed : 900000;?>,
		  animation: '<?php echo $effect;?>',
		  navigation: <?php echo $prev_next;?>,
		  stop_over: <?php echo $pauseonhover;?>,
		  numbers_align: '<?php echo $navigationalign;?>',
		  enable_navigation_keys: <?php echo $keyboard_move;?>,
		  progressbar: <?php echo $progressbar;?>,
		  label:<?php echo ($showcaption ? 1 : 0);?>,
		  width_label: '60%',
		  <?php echo $navoption;?>
		});
	});
})(jQuery);
</script>
<div id="vtemskitter<?php echo $module_id;?>" class="vtem_skitter_<?php echo $navigation;?> vtem_skitter clearfix skitter<?php echo $params->get('moduleclass_sfx');?>">
     <dl id="vtem-<?php echo $module_id;?>-skitter" class="skitter-data">
	    <?php
		if($content_source == "mods"){
				foreach($images as $key => $img):
				      $vttitles = explode(";",$params->get('imagetitle'));
					  $vttitle = (isset($vttitles[$key])) ? $vttitles[$key] : '';
					  $vtcontents = explode(";",$params->get('imagecontent'));
					  $vtcontent = (isset($vtcontents[$key])) ? $vtcontents[$key] : '';
					  $vtlinks = explode(";",$params->get('urls'));
					  $vtlink = (isset($vtlinks[$key])) ? $vtlinks[$key] : '';
						  echo '<dd id="vtem'.$key.'">';
						          if($linkedimage == 1){
						           echo '<a href="'.trim($vtlink).'" target="'.$linktarget.'"><img class="vt_skitter_thumb" src="'.JURI::root().$imagePath.$img.'" alt="VTEM skitter" /></a>';
								   }else{
								   echo '<img class="vt_skitter_thumb" src="'.$imagePath.$img.'" alt="VTEM skitter" />';
								   }
								   if($showcaption == 1){
								       echo '<div class="label_text">
											 <h4 class="vtem_skitter_title">'.trim($vttitle).'</h4>
											 <div>'.trim($vtcontent).'</div>
										 </div>';
								   }
						  echo '</dd>';
				endforeach;
		}else{
			for($i=0; $i<count($list); $i++):
				if($list[$i]->introtext != NULL){
					echo "<dd id='vtem".$i."' >".$list[$i]->introtext."</dd>";
				}
			endfor;
		}
		?>
	</dl>
</div>